﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading;
using BitMoose.Core;

namespace BitMoose.Service {

	public partial class MiningService : ServiceBase {

		private MiningProcessor processor = null;

		public MiningService() {
			InitializeComponent();
			processor = new MiningProcessor();
		}

		protected override void OnStart( string[] args ) {
			processor.Start();
		}

		protected override void OnStop() {
			processor.Stop();
		}

		protected override void OnShutdown() {
			processor.Stop();
			base.OnShutdown();
		}

	}
}
